Replaces the site's video creative requirements with a publisher's published spec — e.g.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/sites/{siteId}/video-requirements/apply-preset.do
Replaces the site's video creative requirements with a publisher's published spec — e.g. presetId=hulu to make the site's requirements Hulu's. Ids come from video-requirements/presets. The switch is not changed: turn it on with video-requirements/enable for the requirements to be checked. Requires UPDATE access to the site and ENABLED level on the SITE_VIDEO_CREATIVE_REQUIREMENTS permission.
Path Params
siteIdintegerrequired
Unique numeric ID of the site
5001
Form Params
presetIdstringrequired
Preset id from video-requirements/presets
hulu
Responses
200
Preset applied; the site's requirements and switch are returned
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/sites/5001/video-requirements/apply-preset.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
request.Content = new FormUrlEncodedContent(new Dictionary<string, string> { ["presetId"] = "hulu" });
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());